<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;

class CreateCustomerLogsTable extends Migration
{
    public function up()
    {
        Schema::create('customer_logs', function (Blueprint $table) {
            $table->increments('id');
            $table->bigInteger('customer_id')->unsigned()->index();
            $table->integer('customer_log_status_id')->unsigned()->index();
            $table->bigInteger('user_id')->unsigned()->index();
            $table->text('description');
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::drop('customer_logs');
    }
}
